## org.eclipse.emf.edit.tree
Interface TreeNode

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  TreeNodeImpl

    public interface TreeNode

extends EObject

A representation of the model object 'Node'.

The following features are supported:

- `Parent`
- `Children`
- `Data`

See Also:
  `TreePackage.getTreeNode()`

Method Summary
`EList<TreeNode>` `getChildren()` Returns the value of the 'Children' containment reference list.
`EObject` `getData()` Returns the value of the 'Data' reference
`TreeNode` `getParent()` Returns the value of the 'Parent' container reference.
`void` `setData(EObject value)` Sets the value of the '`Data`' reference
`void` `setParent(TreeNode value)` Sets the value of the '`Parent`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParent

    TreeNode getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `setParent(TreeNode)`, `TreePackage.getTreeNode_Parent()`, `getChildren()`

### setParent

    void setParent(TreeNode value)

  Sets the value of the '`Parent`' container reference.

  Parameters:
    `value` - the new value of the 'Parent' container reference.
  See Also:
    `getParent()`

### getChildren

    EList<TreeNode> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `TreeNode`. It is bidirectional and its opposite is '`Parent`'.

  If the meaning of the 'Children' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `TreePackage.getTreeNode_Children()`, `getParent()`

### getData

    EObject getData()

  Returns the value of the 'Data' reference.

  If the meaning of the 'Data' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data' reference.
  See Also:
    `setData(EObject)`, `TreePackage.getTreeNode_Data()`

### setData

    void setData(EObject value)

  Sets the value of the '`Data`' reference.

  Parameters:
    `value` - the new value of the 'Data' reference.
  See Also:
    `getData()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.